
TYPO3.TYPO3CR - Bug # 2195

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: FLOW3 Persistence
Created: 2008-11-24 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: Fatal error when storing entities containing DateTime property
Description

In the Blog Example I'm getting a fatal error when trying to store a comment in the CR:

Fatal error: Call to undefined method DateTime::AOPProxyGetProxyTargetClassName() in
Packages/TYPO3CR/Classes/FLOW3/Persistence/F3_TYPO3CR_FLOW3_Persistence_Backend.php on line 242

Associated revisions
Revision 61aa7621 - 2008-12-05 21:28 - Karsten Dambekalns
FLOW3, TYPO3CR:
    -  Persistence: rewrote the way object trees are stored in the CR, fixes #1883, fixes #1882
TYPO3CR:
    -  Persistence: array keys are now preserved when persisting, fixes #1620
    -  Persistence: fixed error when persisting DateTime properties, fixes #2195
    -  changed the way properties are added to the Lucene index, fixes #1623, refs #1886
    -  fixed storage backend to enable use of namespaced nodetype names
Lucene, TYPO3CR:
    -  moved the KeywordAnalyser here from TYPO3CR

History
#1 - 2008-11-26 13:15 - Karsten Dambekalns
- Project changed from TYPO3.TYPO3CR to TYPO3.Flow

#2 - 2008-11-26 13:16 - Karsten Dambekalns
- Category set to Persistence
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#3 - 2008-12-02 12:20 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.TYPO3CR
- Category deleted (Persistence)
- Target version deleted (1.0 alpha 1)

#4 - 2008-12-02 12:21 - Karsten Dambekalns
- Category set to FLOW3 Persistence
- Target version set to 197
- % Done changed from 0 to 90
Resolved locally, commit pending until full resolution of #1883.

#5 - 2008-12-05 21:30 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 90 to 100

Applied in changeset r1565.

#6 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
